# Imagick::setRegistry

(PECL imagick 3 >= 3.3.0)

Imagick::setRegistry — Description

### Descripción

public static Imagick::setRegistry(string `$key`, string `$value`): bool

Establece la clave con nombre de la entrada del registro de ImageMagick al valor dado por value. Esto es útil para establecer "temporary-path", lo cual controla dónde ImageMagick crea imágenes temporales, p.ej., al procesar PDFs.

### Parámetros

`key`

`value`

### Valores devueltos

Devuelve `true` en caso de éxito.